Page MenuHomeFreeBSD

Catch up with options changes.
ClosedPublic

Authored by mat on Jan 22 2015, 1:07 PM.

Details

Reviewers
wblock

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mat updated this revision to Diff 3324.Jan 22 2015, 1:07 PM
mat retitled this revision from to Catch up with options changes..
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat added a reviewer: Doc Committers.
mat added a subscriber: portmgr.
wblock added a subscriber: wblock.Jan 22 2015, 2:28 PM

Consider rearranging the sentences that say "If value is set, when option blah is selected, the value is..." to simplify:

When option OPT is selected, the value of OPT_ABOVEVARIABLE, if defined, is appended to ABOVEVARIABLE.

The markup on many of these is weird. It makes no sense to have both literal and replaceable tags around something. Literal is actually the opposite of replaceable. Use <literal> for literal strings, and <replaceable> for strings the user will change.

en_US.ISO8859-1/books/porters-handbook/makefiles/chapter.xml
3864–3865

Needs a comma:
<varname><replaceable>OPT</replaceable>_USE</varname>, the

3867

s/will be set to/is set to/

3870

s/commas,/commas and/

3893

Needs a comma after </varname>.

3896

s/will be set to/is set to/

3899

s/commas,/commas and/

3922–3923

s/set/set,/

3999–4000

is set, its value is appended to

4002

selected. For example:

4022–4023

is set, its value is appended to

4025

selected. For example:

4045–4046

is set, its value is appended to

4048

selected. For example:

4068–4069

is set, its value is appended to

4071

selected. For example:

4094

is set, its value is appended to

4097

selected. For example:

4118

is set, its value is appended to

4121

selected. For example:

4172–4173

is defined, its value is appended to

4175

selected. For example:

4197–4198

is defined, its value is appended to

4351–4352

is defined, its value is appended to

4354

selected. For example:

4377–4378

This sentence seems incomplete.

mat added a comment.Jan 22 2015, 3:04 PM
In D1599#4, @wblock wrote:

Consider rearranging the sentences that say "If value is set, when option blah is selected, the value is..." to simplify:
When option OPT is selected, the value of OPT_ABOVEVARIABLE, if defined, is appended to ABOVEVARIABLE.

I was tempted to do that, but I tried to keep the changes to a minimum.

The markup on many of these is weird. It makes no sense to have both literal and replaceable tags around something. Literal is actually the opposite of replaceable. Use <literal> for literal strings, and <replaceable> for strings the user will change.

I don't quite know why I did that, all the other <replaceable> were inside <varname>, I thought I had to put them in something, will remove the <literal>.

mat updated this revision to Diff 3328.Jan 22 2015, 3:10 PM

Take care of comments. Remove unneeded <literal>.

mat updated this revision to Diff 3329.Jan 22 2015, 3:34 PM

Reword all "When option OPT is (not) selected, the value of OPT_FOO, if defined, is appended to FOO."

mat updated this revision to Diff 3492.Jan 28 2015, 2:06 PM

Fix a typo while I'm there.

mat updated this revision to Diff 3494.Jan 28 2015, 2:22 PM

And fix another typo.

wblock accepted this revision.Jan 30 2015, 2:37 AM
wblock added a reviewer: wblock.

Please remember to build-test.

This revision is now accepted and ready to land.Jan 30 2015, 2:37 AM
mat closed this revision.May 13 2015, 7:45 AM